Bug 1250304 - long_query_timeout does not support postgres
long_query_timeout does not support postgres
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Database (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 01:24 EDT by Jeff Fearn
Modified: 2015-11-04 00:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.10042-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 23:30:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2015-08-05 01:24:05 EDT
Description of problem:
long_query_timeout uses DBIx::Timeout which has a note saying "This release supports only MySQL."

Version-Release number of selected component (if applicable):
4.4

How reproducible:
Always

Steps to Reproduce:
1. set long_query_timeout to 120 on a site using Pg
2. do a search (works)
3. search again (always times out)

Actual results:
long_query_timeout does not function as expected

Expected results:
long_query_timeout functions as expected

Additional info:
Might be easier to just change the session statement timeout before the request and reset it after the request.
Comment 4 Rony Gong 2015-08-31 01:13:20 EDT
Tested on 
QA environment(bzweb01-qe) with version(4.4.9040-1, DB: mysql)
QA environment(bzperfweb01.app.qa) with version(4.4.9040-1, DB: psql )
Result: Pass
Steps:
1.Set 'long_query_timeout' to 30 in data/params
2.Then do a long query(like do simple search to all products with some strings) which will cost more than 30 seconds

==>Verify this query show long query time out error immediately:
Your query was taking longer than 30 seconds and had to be killed. Please back up and narrow your search criteria. If you feel your results were expected and your search criteria was correct, please send email to bugzilla-requests@redhat.com describing what you were doing and we will correct the error.
Comment 5 Matt Tyson 2015-11-03 23:30:58 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.